Start A Polaris Run For A Specific Assistant Workflow Or Intent
POST
https://api.getcovent.com/api/v1/polaris/threads/{id}/runsStart a Polaris run for a specific assistant workflow or intent.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X POST "https://api.getcovent.com/api/v1/polaris/threads/{id}/runs" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"intent": "investor_lookup",
"text": "Summarize this buyer's activity in Phoenix.",
"attachment_ids": [],
"current_page_context": {
"resource_type": "individual",
"resource_id": "ind_123"
},
"client_request_id": "req_123"
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonidstringRequired
id path parameter.
Example: <id>intentstringRequired
intent request field.
Example: investor_lookuptextstringRequired
text request field.
Example: Summarize this buyer's activity in Phoenix.attachment_idsarrayRequired
attachment_ids request field.
Example: []current_page_contextobjectRequired
current_page_context request field.
Example: {"resource_type":"individual","resource_id":"ind_123"}client_request_idstringRequired
client_request_id request field.
Example: req_123Response
200application/jsonidstringRequired
id response field.
Example: run_123statusstringRequired
status response field.
Example: queuedintentstringRequired
intent response field.
Example: investor_lookupmessagesarrayRequired
messages response field.
Example: []approvalsarrayRequired
approvals response field.
Example: []started_atstringRequired
started_at response field.
Example: 2026-04-17T20:02:00Zcompleted_atnullRequired
completed_at response field.
Example: nullResponse Example
{
"id": "run_123",
"status": "queued",
"intent": "investor_lookup",
"messages": [],
"approvals": [],
"started_at": "2026-04-17T20:02:00Z",
"completed_at": null
}